> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wattshift.com/llms.txt
> Use this file to discover all available pages before exploring further.

# record thermostat behavior



## OpenAPI

````yaml /api-reference/openapi.json post /v1/devices/hvac/{id}/thermostat_behavior/record
openapi: 3.0.0
info:
  title: WattShift API
  description: An API for the WattShift Service (https://wattshift.com/partners)
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/devices/hvac/{id}/thermostat_behavior/record:
    post:
      tags:
        - hvac
      summary: record thermostat behavior
      operationId: HvacApiKeyAuthController_recordThermostatBehavior_v1
      parameters:
        - name: x-ws-api-key
          in: header
          description: WattShift API Key
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RecordThermostatBehaviorDto'
            example:
              temperature:
                - 71
                - 71.5
                - 72
              timestamp:
                - '2025-06-02T12:00:00.000Z'
                - '2025-06-02T12:15:00.000Z'
                - '2025-06-02T12:30:00.000Z'
      responses:
        '201':
          description: ''
      security:
        - x-ws-api-key: []
components:
  schemas:
    RecordThermostatBehaviorDto:
      type: object
      properties:
        temperature:
          type: array
          items:
            type: number
        timestamp:
          type: array
          items:
            type: string
      required:
        - temperature
        - timestamp
  securitySchemes:
    x-ws-api-key:
      type: apiKey
      in: header
      name: x-ws-api-key
      description: WattShift API key

````